<?php
session_start();
$jahrgang=$_SESSION["jahrgang"];
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";


  if ($jahrgang == "") {
    echo "Bitte zuerst <a href='jahrgang.php'>Jahrgang</a> w&auml;hlen!";
    exit;
  }
  
  # Prüfen ob der Jahrgang schon abgeschlossen wurde, dann soll der Button "Abschließen und absenden" ausgeblendet werden
  $query_closed = $db->query("SELECT count(*) Anz
                                FROM dep_doz_abschluss
                               WHERE imtuid=$uid
                                 AND jahr=$jahrgang");
  $row_closed   = $query_closed->fetch_array();
  
  if ($row_closed['Anz'] > 0) {
    $smarty->assign('erm_abschluss', 1);
    $smarty->assign('erm_error', 1);
    $smarty->assign('erm_error_text', 'Der aktuelle Jahrgang ist bereits abgeschlossen!');
  } else {
    $smarty->assign('erm_abschluss', 0);
  } // Jahrgang abgeschlossen
  
  $jahrgang_next = $jahrgang + 1;
  $studjahr      = "$jahrgang/$jahrgang_next";
  $smarty->assign('erm_jahrgang', $studjahr);

$smarty->display("$template/$templatename");
?>
